from .test_all_fixers import lib3to2FixerTestCase

class _Test_methods(lib3to2FixerTestCase):
  
  def test_attr_repl(self):
    a = 'foo.__%s__()' % self._A
    b = 'foo.__%s__()' % self._B
    
    self.check(a, b)
    
  def test_meth_repl(self):
    a = '''
    class Foo:
      def __%s__(self):
        pass
    ''' % self._A
    b = '''
    class Foo:
      def __%s__(self):
        pass
    ''' % self._B
    
    self.check(a, b)

class Test_str_methods(_Test_methods):
  fixer = 'str_methods'
  
  _A, _B = 'str', 'unicode'
  
class Test_bytes_methods(_Test_methods):
  fixer = 'bytes_methods'
  
  _A, _B = 'bytes', 'str' 