'''
Fixes:
  * __str__() -> __unicode__()
  * __bytes__() -> __str__()
'''

from lib2to3 import fixer_base
from lib2to3.fixer_util import Name

PATTERN_TMPL = "'%(attr)s'"

class FixMethods(fixer_base.BaseFix):
    
  BM_compatible = True
  
  def transform(self, node, results):
    node = node.clone()
    node.value = self._SUB
    
    return node